import request from '@/utils/request'

// 获取订单数据 订单状态占比
export function getOrderData() {
	return request({
		url: '/idcgetBookStatusData.action',
		method: 'get'
	})
}

// 查询各县民宿数量 民宿统计
export function getHomestayStatistics() {
	return request({
		url: '/idcgetHotelData.action',
		method: 'get'
	})
}

// 订单量排行
export function getOrderVolumeRanking(param) {
	return request({
		url: '/idcgetRankBookNumData.action?type=' + param,
		method: 'get'
	})
}

// 查询销售额排行
export function getQuerySalesRankings(param) {
	return request({
		url: '/idcgetRankSalesAmountData.action?type=' + param,
		method: 'get'
	})
}

// 查询经营概况
export function getManagementProfile() {
	return request({
		url: '/idcgetSumData.action',
		method: 'get'
	})
}